<%--
/**
 * Copyright (c) 2000-2011 Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */
--%>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>

<%@ taglib uri="http://java.sun.com/portlet_2_0" prefix="portlet" %>

<%@ taglib uri="http://liferay.com/tld/theme" prefix="liferay-theme" %>
<%@ taglib uri="http://liferay.com/tld/ui" prefix="liferay-ui" %>

<%@ page import="com.liferay.portal.kernel.util.GetterUtil" %>
<%@ page import="com.liferay.portlet.journal.model.JournalArticle" %>
<%@ page import="com.liferay.portlet.journal.service.JournalArticleLocalServiceUtil" %>

<%@ page import="java.util.ArrayList" %>
<%@ page import="java.util.List" %>
<%@ page import="java.util.regex.Matcher" %>
<%@ page import="java.util.regex.Pattern" %>

<%@ page import="javax.portlet.WindowState" %>

<portlet:defineObjects />

<liferay-theme:defineObjects />

<%
WindowState windowState = renderRequest.getWindowState();
%>

<c:choose>
	<c:when test="<%= windowState.equals(WindowState.NORMAL) %>">
		Check for articles that have been mangled by FCKEditor.

		<br /><br />

		<input onclick="location.href = '<portlet:actionURL windowState="<%= WindowState.MAXIMIZED.toString() %>" />';" type="button" value="<liferay-ui:message key="submit" />" />
	</c:when>
	<c:otherwise>

		<%
		Pattern pattern = Pattern.compile("<p[^>]{0,}>\\s{0,}</p>|<p[^>]{0,}>\\s{0,}&nbsp;\\s{0,}</p>");

		List<JournalArticle> allArticles = JournalArticleLocalServiceUtil.getArticles(themeDisplay.getScopeGroupId());

		List<JournalArticle> badArticles = new ArrayList<JournalArticle>(allArticles.size());

		for (JournalArticle article : allArticles) {
			String content = GetterUtil.getString(article.getContent());

			Matcher matcher = pattern.matcher(content);

			if (matcher.find()) {
				badArticles.add(article);
			}
		}
		%>

		There are <%= badArticles.size() %> bad articles.

		<c:if test="<%= !badArticles.isEmpty() %>">
			<br /><br />

			<%
			for (JournalArticle article : badArticles) {
			%>

				<%= article.getId() %> - <%= article.getTitle() %><br />

			<%
			}
			%>

		</c:if>
	</c:otherwise>
</c:choose>